Loading...
Searching...
No Matches
globus_gsi_authz.h File Reference

GSI Authorization API. More...

`#include "globus_common.h"`
`#include "gssapi.h"`

Go to the source code of this file.

## Functions

globus_result_t | globus_gsi_authz_handle_init (globus_gsi_authz_handle_t *handle, const char *service_name, const gss_ctx_id_t context, globus_gsi_authz_cb_t callback, void *callback_arg)
| Initialize an authorization handle.
globus_result_t | globus_gsi_authorize (globus_gsi_authz_handle_t handle, const void *action, const void *object, globus_gsi_authz_cb_t callback, void *callback_arg)
| Start the authorization decision-making process.
globus_result_t | globus_gsi_cancel_authz (globus_gsi_authz_handle_t handle)
| Cancel Authorization.
globus_result_t | globus_gsi_authz_handle_destroy (globus_gsi_authz_handle_t handle, globus_gsi_authz_cb_t callback, void *callback_arg)
| Destroy an authz handle.
globus_result_t | globus_gsi_authz_get_authorization_identity (globus_gsi_authz_handle_t handle, char **identity_ptr, globus_gsi_authz_cb_t callback, void *callback_arg)
| Query for authorization identity.

## Variables

globus_module_descriptor_t | globus_i_gsi_authz_module

## Detailed Description

GSI Authorization API.

## Variable Documentation

## globus_i_gsi_authz_module

globus_module_descriptor_t globus_i_gsi_authz_module

extern

Module descriptor static initializer